Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.bridge.svg12
Class SVG12BridgeContext.EventListenerWrapper

    java.lang.Object
      org.apache.batik.bridge.svg12.SVG12BridgeContext.EventListenerWrapper

All Implemented Interfaces:
  EventListener

Enclosing class:
  SVG12BridgeContext

    protected class SVG12BridgeContext.EventListenerWrapper

extends Object
implements EventListener

Wrapper for DOM event listeners so that they will see only original events (i.e., not retargetted).

Field Summary
`protected EventListener` | `listener` The wrapped listener.

Constructor Summary
`SVG12BridgeContext.EventListenerWrapper(EventListener l)` Creates a new EventListenerWrapper.

Method Summary
`void` | `handleEvent(Event evt)` Handles the event.
`String` | `toString()` String representation of this listener wrapper.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### listener

    protected EventListener listener

  The wrapped listener.

Constructor Detail

### SVG12BridgeContext.EventListenerWrapper

    public SVG12BridgeContext.EventListenerWrapper(EventListener l)

  Creates a new EventListenerWrapper.

Method Detail

### handleEvent

    public void handleEvent(Event evt)

  Handles the event.

  Specified by:
    `handleEvent` in interface `EventListener`
  Parameters:
    `evt` - The `Event` contains contextual information about the event.

### toString

    public String toString()

  String representation of this listener wrapper.

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.